import random
import warnings

HEADINGS = ['N', 'E', 'S', 'W']

class Location:

    def __init__(self, x, y, heading):
        self.x = x
        self.y = y
        self.heading = heading


class Rover:

    def __init__(self, x=None, y=None, heading=None):
        if all((x, y, heading)):
            self.location = Location(x, y, heading)
        else:
             warnings.warn("Landing at a random place")
             self.location = Location(random.randint(-10, 10),
                                      random.randint(-10, 10),
                                      HEADINGS[random.randint(0,
                                                 len(HEADINGS) - 1)])

    def move(self, command):
        for item in command:
            if item == 'F' and self.location.heading == 'E':
                self.location.x += 1
